# SIM-SimStapler / RealStapler - scruss, 2020-04
# circuitpython on CPX - stapler between D1 (A7) and GND

from adafruit_circuitplayground import cp
import board
from digitalio import DigitalInOut, Direction, Pull
import time

# set up stapler on pin D1 (port A7): goes LOW when pressed
stapler = DigitalInOut(board.D1)
stapler.direction = Direction.INPUT
stapler.pull = Pull.UP

# set up pixels - not too bright
cp.pixels.brightness = 0.1
# turn all pixels off
for i in range(10):
    cp.pixels[i] = (0, 0, 0)

count = 0
while True:
    # stapler pressed, so increase count
    if not stapler.value:
        count = count + 1
        # only count first press, not if held
        while not stapler.value:
            pass
        time.sleep(0.1)

    # light up pixels clockwise for each press
    for i in range(count):
        cp.pixels[9 - i] = (0, 255, 0)

    # get a bonus Penelope Keith every ten presses
    if count == 10:
        cp.play_file("splendid.wav")
        # turn all pixels off after bonus
        for i in range(count):
            cp.pixels[i] = (0, 0, 0)
        # and reset counter for next time
        count = 0